<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Générateur d'iframe</title>
    <script src="https://cdn.tailwindcss.com"></script>
  </head>
  <body class="p-4">
    <div id="app">
      <h1 class="text-2xl text-center font-bold mb-4">Générateur d'iframe</h1>
      <form>
        <div class="flex items-center mb-4">
          <label for="domain" class="w-1/4 mr-4">Domaine :</label>
          <select id="domain" v-model="domain" class="w-3/4 border rounded py-2 px-3">
            <option value="https://ns.europeancatalog.com/">Uniquement Native</option>
            <option value="https://europeancatalog.com/">Native + European</option>
          </select>
        </div>
        <div class="flex items-center mb-4">
          <label for="width" class="w-1/4 mr-4">Largeur :</label>
          <select id="width" v-model="width" class="w-3/4 border rounded py-2 px-3">
            <option value="50%">50%</option>
            <option value="100%">100%</option>
          </select>
        </div>
        <div class="flex items-center mb-4">
          <label for="scrolling" class="w-1/4 mr-4">Défilement :</label>
          <select id="scrolling" v-model="scrolling" class="w-3/4 border rounded py-2 px-3">
            <option value="yes">Oui</option>
            <option value="no">Non</option>
          </select>
        </div>
        <div class="flex items-center mb-4">
          <label for="src" class="w-1/4 mr-4">URL :</label>
          <select id="src" v-model="src" class="w-3/4 border rounded py-2 px-3">
            <option value="fr/">FR</option>
            <option value="benl/">BENL</option>
            <option value="nl/">NL</option>
            <option value="it/">IT</option>
            <option value="en/">UK</option>
            <option value="es/">ES</option>
            <option value="com/">OTHER</option>
            <option value="befr/">BEFR</option>
            <option value="pt/">PT</option>
            <option value="ie/">IE</option>
            <option value="de/">DE</option>
          </select>
        </div>
        <button v-on:click.prevent="generateCode" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">Générer l'iframe</button>
        <br />
        <textarea rows="10" cols="80" v-model="iframeCode" readonly class="border rounded py-2 px-3 mt-4"></textarea>
      </form>
    </div>
    <script src="https://unpkg.com/vue@3.2.6"></script>
    <script src="app.js"></script>
  </body>

